=== debian/changelog ===
openzwave (1.6.1545+ds-2) unstable; urgency=medium

  * Team upload
  * Fix installing of the device database (Closes: #981635)
  * debian/control: bump Standards-Version to version 4.5.1 (no changes)
  * d/upstream/metadata: add metadata

 -- Nicolas Mora <babelouest@debian.org>  Fri, 05 Feb 2021 17:12:21 -0500

openzwave (1.6.1545+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Add breaks+replace previous version 1.5 (Closes: #929710)
  * d/patches: remove patches compile-error, fix-compiler-warnings
               update modify-flags, spelling
  * d/install: install libopenzwave.a
  * d/tests: update autopkgtests to use installed libopenzwave.a
  * d/control: Add Rules-Requires-Root: no
  * d/rules: Use dpkg-dev to get package version instead of dpkg-parsechangelog

 -- Nicolas Mora <babelouest@debian.org>  Sat, 21 Nov 2020 09:28:41 -0500

openzwave (1.6+ds-2) unstable; urgency=medium

  * Team upload
  * Uses standard gcc (Closes: #944172)
  * Upload to unstable (Closes: #929710)
  * debian/control: bump to version 4.5.0 (no changes)
  * debian/control: replace debhelper with debhelper-compat
  * d/install: install pkg-config
  * d/install: ignore ozw_config
  * add autopkgtests

 -- Nicolas Mora <babelouest@debian.org>  Wed, 18 Nov 2020 10:52:25 -0500
