=== debian/control ===
Source: openzwave
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
	, dh-exec (>=0.2)
	, g++ (>= 4.4)
	, quilt
	, libudev-dev
	, libxml2-utils
  , dpkg-dev (>= 1.20)
Standards-Version: 4.5.1
Homepage: http://www.openzwave.net/
Vcs-Browser: https://salsa.debian.org/debian-iot-team/openzwave
Vcs-Git: https://salsa.debian.org/debian-iot-team/openzwave.git
Rules-Requires-Root: no

Package: libopenzwave1.6
Replaces: libopenzwave1.5
Breaks: libopenzwave1.5
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: API to use a Z-Wave controller
 OpenZWave is an open-source, cross-platform library designed to enable
 anyone to add support for Z-Wave home-automation devices to their
 applications, without requiring any in depth knowledge of the Z-Wave
 protocol.
 .
 This package contains the library.

Package: libopenzwave1.6-dev
Section: libdevel
Depends: ${misc:Depends}, libopenzwave1.6 (= ${binary:Version})
Suggests: libopenzwave-doc
Architecture: any
Description: header files for the openzwave library
 OpenZWave is an open-source, cross-platform library designed to enable
 anyone to add support for Z-Wave home-automation devices to their
 applications, without requiring any in depth knowledge of the Z-Wave
 protocol.
 .
 This package contains files for developing.

Package: libopenzwave-doc
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Architecture: all
Description: documentation for the openzwave library
 OpenZWave is an open-source, cross-platform library designed to enable
 anyone to add support for Z-Wave home-automation devices to their
 applications, without requiring any in depth knowledge of the Z-Wave
 protocol.
 .
 This package contains documentation.

Package: openzwave
Section: misc
Architecture: any
Depends: libopenzwave1.6 (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Sample Program for libopenzwave
 OpenZWave is an open-source, cross-platform library designed to enable
 anyone to add support for Z-Wave home-automation devices to their
 applications, without requiring any in depth knowledge of the Z-Wave
 protocol.
