=== debian/changelog ===
openzwave (1.6.1914+ds-1.2) unstable; urgency=medium

  * Non-maintainer upload. (Closes: #1065457)
  * Bump dpkg-dev versioned Build-Depends for t64 transition.
  * Patch upstream Makefiles to show compiler invocations.
  * Patch additional upstream Makefile to remove -Wno-format.
  * Build-Depends: add pkgconf, necessary to place .pc file.
  * Reduce CPPFLAGS updating, to avoid unknown ‘-Werror=implicit-function-declaration’
    in cc1plus aborting the build.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 11 Apr 2024 15:37:03 +0200

openzwave (1.6.1914+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064265
  * d/libopenzwave1.6-dev: pkgconfig file will be in
    /usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:55:23 +0000

openzwave (1.6.1914+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/patches: Fixes ftbfs with gcc 11 (Closes: #984279)
  * d/control: Update Standards-Version to 4.6.0 (no change)
  * d/watch: fix github watching

 -- Nicolas Mora <babelouest@debian.org>  Thu, 21 Oct 2021 15:17:21 -0400
