=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
 	, dh-exec (>=0.2)
-	, g++ (>= 4.4)
-	, quilt
 	, libudev-dev
 	, libxml2-utils
-  , dpkg-dev (>= 1.20)
-Standards-Version: 4.5.1
+	, dpkg-dev (>= 1.22.6)
+	, pkgconf
+Standards-Version: 4.6.0
 Homepage: http://www.openzwave.net/
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/openzwave
 Vcs-Git: https://salsa.debian.org/debian-iot-team/openzwave.git
 Rules-Requires-Root: no
 
-Package: libopenzwave1.6
-Replaces: libopenzwave1.5
-Breaks: libopenzwave1.5
+Package: libopenzwave1.6t64
+Provides: ${t64:Provides}
+Replaces: libopenzwave1.6, libopenzwave1.5
+Breaks: libopenzwave1.6 (<< ${source:Version}), libopenzwave1.5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -33,7 +33,7 @@
 
 Package: libopenzwave1.6-dev
 Section: libdevel
-Depends: ${misc:Depends}, libopenzwave1.6 (= ${binary:Version})
+Depends: ${misc:Depends}, libopenzwave1.6t64 (= ${binary:Version})
 Suggests: libopenzwave-doc
 Architecture: any
 Description: header files for the openzwave library
@@ -59,7 +59,7 @@
 Package: openzwave
 Section: misc
 Architecture: any
-Depends: libopenzwave1.6 (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libopenzwave1.6t64 (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Sample Program for libopenzwave
  OpenZWave is an open-source, cross-platform library designed to enable
  anyone to add support for Z-Wave home-automation devices to their
