=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,12 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 #XXX: MORECPPFLAGS=-fPIE -pie
 # add CFLAGS here as upstream make does not care about them and we need -Wformat
-MORECPPFLAGS=$(CFLAGS)
-MORELDFLAGS:=-Wl,-z,now
+# XXX: not needed, -Wformat is part of CPPFLAGS
+#CPPFLAGS += $(CFLAGS)
+LDFLAGS += -Wl,-z,now
 
 #XXX no need to use this: export CC=gcc-8
 #XXX no need to use this: export CXX=g++-8
@@ -37,11 +39,14 @@
 	dh_clean
 
 override_dh_auto_build:
-	echo "Build version: >$(MAJOR).$(MINOR).$(REV)<"
-	LDFLAGS="$(LDFLAGS) $(MORELDFLAGS)" CPPFLAGS="$(CPPFLAGS) $(MORECPPFLAGS)" VERSION_MAJ=$(MAJOR) VERSION_MIN=$(MINOR) VERSION_REV=$(REV) PREFIX=/usr sysconfdir=/etc/openzwave instlibdir=$(LIBDIR) make
+	@echo "Build version: >$(MAJOR).$(MINOR).$(REV)<"
+	@echo "CPPFLAGS: $(CPPFLAGS)"
+	@echo "CFLAGS: $(CFLAGS)"
+	@echo "CXXFLAGS: $(CXXFLAGS)"
+	LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" VERSION_MAJ=$(MAJOR) VERSION_MIN=$(MINOR) VERSION_REV=$(REV) PREFIX=/usr sysconfdir=/etc/openzwave instlibdir=$(LIBDIR) dh_auto_build -- CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
 
 override_dh_auto_install:
-	VERSION_MAJ=$(MAJOR) VERSION_MIN=$(MINOR) VERSION_REV=$(REV) DESTDIR=$(DESTDIR) PREFIX=/usr sysconfdir=/etc/openzwave instlibdir=$(LIBDIR) make install
+	VERSION_MAJ=$(MAJOR) VERSION_MIN=$(MINOR) VERSION_REV=$(REV) DESTDIR=$(DESTDIR) PREFIX=/usr sysconfdir=/etc/openzwave instlibdir=$(LIBDIR) dh_auto_install
 	# install docs in /usr/share/doc/openzwave/, not openzwave-VERSION
 	install -d debian/libopenzwave-doc/usr/share/doc
