=== debian/tests/control ===
Tests: unit-test
Depends: @, gcc, g++, libudev-dev, libxml2-utils
