=== debian/changelog ===
openzwave (1.6.1914+ds2-4) unstable; urgency=medium

  * Team upload
  * d/patches/gcc15.patch: Fixes gcc15 warning (Closes: #1097526)
  * d/control: Update Standards-Version to 4.7.2

 -- Nicolas Mora <babelouest@debian.org>  Fri, 05 Sep 2025 07:03:53 -0400

openzwave (1.6.1914+ds2-3) unstable; urgency=medium

  * Upload to unstable

 -- Nicolas Mora <babelouest@debian.org>  Wed, 25 Dec 2024 12:32:57 -0500

openzwave (1.6.1914+ds2-2) experimental; urgency=medium

  * Team upload
  * d/patches: fix build error on ppc64el arch

 -- Nicolas Mora <babelouest@debian.org>  Wed, 25 Dec 2024 11:09:21 -0500

openzwave (1.6.1914+ds2-1) unstable; urgency=medium

  * Team upload
  * repack source to remove non xml config files and libtinyxml
  * do not install non xml config files (Closes: #1060209)
  * d/control: Update Standards-Version to 4.7.0
  * d/control: Add libtinyxml and libhidapi to builddep
  * d/copyright: Ignore unnecessary files in config/, libtinyxml and hidapi
  * d/copyright: Remove unnecessary licenses
  * d/libopenzwave1.6-dev.install: do not install tinyxml headers
  * d/libopenzwave1.6.lintian-overrides: Remove tinyxml ignore
  * d/rules use debian package tinyxml and hidapi instead of embedded ones
  * d/sources: Add lintian-overrides source-is-missing
  * d/patches: Add patch to fix tests with system tinyxml
  * d/patches: Add patch to fix remove obsolete doxygen tags
  * d/patches: Update modify-flags.patch to remove warning
    ‘-Werror=’ argument ‘-Werror=implicit-function-declaration’
    is not valid for C++
  * d/salsa-ci.yml: Add salsa CI script
  * d/control: remove builddep dh-exec
  * d/libopenzwave1.6-dev.install: remove dh-exec usage
  * d/patches: Ignore makefile-no-silent.patch

 -- Nicolas Mora <babelouest@debian.org>  Sun, 22 Dec 2024 14:18:08 -0500
