=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: devel
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
-	, dh-exec (>=0.2)
+Build-Depends: debhelper-compat (= 13)
 	, libudev-dev
 	, libxml2-utils
 	, dpkg-dev (>= 1.22.6)
 	, pkgconf
-Standards-Version: 4.6.0
+	, libtinyxml-dev
+	, libhidapi-dev
+Standards-Version: 4.7.2
 Homepage: http://www.openzwave.net/
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/openzwave
 Vcs-Git: https://salsa.debian.org/debian-iot-team/openzwave.git
