=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	@echo "CPPFLAGS: $(CPPFLAGS)"
 	@echo "CFLAGS: $(CFLAGS)"
 	@echo "CXXFLAGS: $(CXXFLAGS)"
-	LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" VERSION_MAJ=$(MAJOR) VERSION_MIN=$(MINOR) VERSION_REV=$(REV) PREFIX=/usr sysconfdir=/etc/openzwave instlibdir=$(LIBDIR) dh_auto_build -- CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
+	LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" VERSION_MAJ=$(MAJOR) VERSION_MIN=$(MINOR) VERSION_REV=$(REV) PREFIX=/usr sysconfdir=/etc/openzwave instlibdir=$(LIBDIR) USE_BI_TXML=0 USE_HID=0 dh_auto_build -- CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
 
 override_dh_auto_install:
 	VERSION_MAJ=$(MAJOR) VERSION_MIN=$(MINOR) VERSION_REV=$(REV) DESTDIR=$(DESTDIR) PREFIX=/usr sysconfdir=/etc/openzwave instlibdir=$(LIBDIR) dh_auto_install
