=== debian/watch ===
version=4
# https://github.com/OpenZWave/open-zwave
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/openzwave-$1.tar.gz/ \
 https://github.com/OpenZWave/open-zwave/tags .*/v?([\d\.]+).tar.gz
